Skip to main content
For detailed RPC documentation, please visit ASDO RPC.

Servers

ASDO: x402 Payment:

Endpoints

Transaction Router

POST / (eth_routerTransaction)

Constructs the correct original transaction parameters before sending it to the right chain. Request Body (RouterTransaction):
  • from (string): The address from which the transaction is sent
  • to (string): The address the transaction is directed to
  • data (string): The compiled code of a contract or the hash of the invoked method signature and encoded parameters
  • value (string): The integer of the value sent with this transaction, in wei
Response (RouterTransactionRes):
  • chainId (string): The hex value of the matched chain ID
  • nonce (string): The integer of a nonce
  • gasLimit (string): Estimated gas limit
  • maxFeePerGas (string): Max gas fee
  • maxPriorityFeePerGas (string): Priority fee

x402 Payment Protocol

GET /supported

Get supported network and payment methods. Response:
  • Returns a list of supported payment kinds (e.g., mesherX, mesherX-testnet).

POST /settle

Settle x402 payments. Request Body:
  • x402Version: Protocol version
  • paymentPayload: The payment payload (EVM or Solana)
  • paymentRequirements: Requirements expected by the resource server
Response:
  • Returns success status and transaction details.

POST /verify

Verify x402 payment validity. Request Body:
  • Similar structure to /settle
Response:
  • Returns isValid boolean and payer address.

OpenAPI Specification